%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Load of cylindrical surface data of the case study
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Pp=210; %number of angular positions
Qq=64; %number of generatrices
Nn=90; %number of speciments (3^2=9 treatments in the experiment each replicated on 10 parts)

X=zeros(Pp,Qq,Nn);
Y=zeros(Pp,Qq,Nn);
Z=zeros(Pp,Qq,Nn);
V=zeros(Pp,Qq,Nn);

grigliad=cell(Nn,1);

load titanio.mat

%index of parts in the experiment
index_ex=[10 16	18 32 37 53 59 67 85 87,... %Ex. No 1 (10 parts)
          11 12 19 31 35 62 72 79 86 90,... %Ex. No 2 (10 parts)
          13 14 50 55 57 63 66 68 71 80,... %Ex. No 3 (10 parts)
          1 5 8 28 30 43 46 47 58 78,...    %Ex. No 4 (10 parts)
          25 27 29 33 40 41 52 56 74 75,... %Ex. No 5 (10 parts)
          7 23 24 26 34 45 60 64 77 82,...  %Ex. No 6 (10 parts)
          2 15 21 22 42 48 51 65 73 89,...  %Ex. No 7 (10 parts)
          3 6 9 17 36 39 61 76 81 83,...    %Ex. No 8 (10 parts)
          4 20 38 44 49 54 69 70 84 88];    %Ex. No 9 (10 parts)

num_prof=Nn;

for i=1:num_prof
    V(:,:,i)=grigliad{index_ex(i),1};
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Cartesian coordinates
for i=1:num_prof
    [X(:,:,i),Y(:,:,i),Z(:,:,i)] = pol2cart(repmat((-pi:pi/32:pi-pi/32),[210,1]),V(:,:,i),repmat((-44:44/210:0-44/210)',[1,64]));
end
